summaryrefslogtreecommitdiff
path: root/meta/recipes-extended/lighttpd/files/lighttpd
diff options
context:
space:
mode:
authorZhai Edwin <edwin.zhai@intel.com>2010-09-28 16:00:25 +0800
committerSaul Wold <Saul.Wold@intel.com>2010-09-28 08:26:53 -0700
commita1d1e4e47db18607be6158efd993a5ad531ce85e (patch)
tree9def95d10818551d9dbf843b2d4e6c599f5f1edf /meta/recipes-extended/lighttpd/files/lighttpd
parentec4d6b989aad5f4564e367c99c62c59f962b57ea (diff)
downloadopenembedded-core-a1d1e4e47db18607be6158efd993a5ad531ce85e.tar.gz
openembedded-core-a1d1e4e47db18607be6158efd993a5ad531ce85e.tar.bz2
openembedded-core-a1d1e4e47db18607be6158efd993a5ad531ce85e.tar.xz
openembedded-core-a1d1e4e47db18607be6158efd993a5ad531ce85e.zip
lighttpd: Add 1.4.28 as new recipe.
Signed-off-by: Zhai Edwin <edwin.zhai@intel.com>
Diffstat (limited to 'meta/recipes-extended/lighttpd/files/lighttpd')
-rw-r--r--meta/recipes-extended/lighttpd/files/lighttpd34
1 files changed, 34 insertions, 0 deletions
diff --git a/meta/recipes-extended/lighttpd/files/lighttpd b/meta/recipes-extended/lighttpd/files/lighttpd
new file mode 100644
index 000000000..bf89a60b7
--- /dev/null
+++ b/meta/recipes-extended/lighttpd/files/lighttpd
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/lighttpd
+NAME=lighttpd
+DESC="Lighttpd Web Server"
+OPTS="-f /etc/lighttpd.conf"
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start -x "$DAEMON" -- $OPTS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop -x "$DAEMON"
+ echo "$NAME."
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop -x "$DAEMON"
+ sleep 1
+ start-stop-daemon --start -x "$DAEMON" -- $OPTS
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0